Method: projects.locations.spaces.applications.generate

Generates Terraform files for an application.

HTTP request

POST https://designcenter.googleapis.com/v1/{name=projects/*/locations/*/spaces/*/applications/*}:generate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the application.

Request body

The request body contains data with the following structure:

JSON representation
{
  "iacFormat": enum (IACFormat),
  "gcsUri": string,
  "artifactLocation": {
    object (ArtifactLocation)
  }
}
Fields
iacFormat

enum (IACFormat)

Optional. The IaC format to generate.

gcsUri
(deprecated)

string

Optional. The Cloud Storage URI to write the generated IaC to. DEPRECATED: Use the 'artifactLocation' field instead.

artifactLocation

object (ArtifactLocation)

Optional. Specifies the destination for the generated IaC, which can be Cloud Storage or a Developer Connect repository.

Response body

If successful, the response body contains an instance of GenerateApplicationIaCResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.applications.get

For more information, see the IAM documentation.